stages:
  - build
  - deploy

criar_imagens:
  stage: build
  tags:
    - gcp
  script:
    - docker build -t dgeisondev/gcp-runner:1.0 app/.
    - docker push dgeisondev/gcp-runner:1.0

executar_imagens:
  stage: deploy
  needs: 
    - criar_imagens
  tags:
    - gcp
  script:
    - docker run -dti --name webserver -p 80:80 dgeisondev/gcp-runner:1.0
